import type { ExtractPropTypes } from 'vue';
export declare const drawerProps: {
    readonly direction: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "rtl", unknown, "ltr" | "rtl" | "ttb" | "btt", unknown>;
    readonly size: import("element-ps/es/utils").BuildPropReturn<readonly [StringConstructor, NumberConstructor], "30%", unknown, unknown, unknown>;
    readonly withHeader: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly modalFade: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly widget: import("element-ps/es/utils").BuildPropReturn<StringConstructor, unknown, unknown, unknown, unknown>;
    readonly appendToBody: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly beforeClose: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<import("element-ps/es/components/dialog").DialogBeforeCloseFn>, unknown, unknown, unknown, unknown>;
    readonly destroyOnClose: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly closeOnClickModal: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly closeOnPressEscape: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly lockScroll: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly modal: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly openDelay: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, 0, unknown, unknown, unknown>;
    readonly closeDelay: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, 0, unknown, unknown, unknown>;
    readonly top: import("element-ps/es/utils").BuildPropReturn<StringConstructor, unknown, unknown, unknown, unknown>;
    readonly modelValue: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, unknown, true, unknown, unknown>;
    readonly modalClass: StringConstructor;
    readonly width: import("element-ps/es/utils").BuildPropReturn<readonly [StringConstructor, NumberConstructor], unknown, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, unknown, unknown, unknown, unknown>;
    readonly trapFocus: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly center: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly closeIcon: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>>, "", unknown, unknown, unknown>;
    readonly customClass: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
    readonly draggable: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly fullscreen: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly showClose: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly title: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
};
export declare type DrawerProps = ExtractPropTypes<typeof drawerProps>;
